
From: Jesper Juhl <juhl-lkml@dif.dk>

Slight rework of arch/mips/kernel/irixsig.c::irix_sigsendset to eliminate the
use of a local variable, a goto and shorten the code a bit.

Signed-off-by: Jesper Juhl <jesper.juhl@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/mips/kernel/irixsig.c |   12 +++---------
 1 files changed, 3 insertions(+), 9 deletions(-)

diff -puN arch/mips/kernel/irixsig.c~arch_mips_kernel_irixsig-slight-rework-of-irix_sigsendsetpatch arch/mips/kernel/irixsig.c
--- 25/arch/mips/kernel/irixsig.c~arch_mips_kernel_irixsig-slight-rework-of-irix_sigsendsetpatch	2005-03-06 20:55:36.000000000 -0800
+++ 25-akpm/arch/mips/kernel/irixsig.c	2005-03-06 20:55:36.000000000 -0800
@@ -840,20 +840,14 @@ struct irix_procset {
 
 asmlinkage int irix_sigsendset(struct irix_procset *pset, int sig)
 {
-	int error;
+	if (!access_ok(VERIFY_READ, pset, sizeof(*pset)))
+		return -EFAULT;
 
-	if (!access_ok(VERIFY_READ, pset, sizeof(*pset))) {
-		error = -EFAULT;
-		goto out;
-	}
 #ifdef DEBUG_SIG
 	printk("[%s:%d] irix_sigsendset([%d,%d,%d,%d,%d],%d)\n",
 	       current->comm, current->pid,
 	       pset->cmd, pset->ltype, pset->lid, pset->rtype, pset->rid,
 	       sig);
 #endif
-	error = -EINVAL;
-
-out:
-	return error;
+	return -EINVAL;
 }
_
